// sutlDlg.cpp : implementation file
//

#include "stdafx.h"
#include "sutl.h"
#include "sutlDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSutlDlg dialog

CSutlDlg::CSutlDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSutlDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSutlDlg)
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CSutlDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSutlDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSutlDlg, CDialog)
	//{{AFX_MSG_MAP(CSutlDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_ACTIVATE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSutlDlg message handlers

BOOL CSutlDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	CString strTitle;
     strTitle=SVR_FULL " Support File Integration";
     SetWindowText(strTitle);

	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CSutlDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CSutlDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

BOOL CSutlDlg::PreTranslateMessage(MSG* pMsg)
{
	if ((pMsg->message == WM_CHAR) || (pMsg->message == WM_KEYDOWN)) {
          if (pMsg->wParam == VK_ESCAPE) {
               return(TRUE);
          }
     }
	return CDialog::PreTranslateMessage(pMsg);
}
